package com.dk.mdm.test;

import com.dk.mdm.MdmServer;
import com.dk.mdm.service.mac.AccountService;
import lombok.extern.slf4j.Slf4j;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;


/**
 * @desc   : 测试类
 * @author : 付斌
 * @date   : 2024-03-26 12:50
 */
@SpringBootTest(classes = MdmServer.class)
@RunWith(SpringRunner.class)//不加无法注入
@Slf4j
public class Test {


    @Autowired
    private AccountService accountService;


    @org.junit.Test
    public void acc() {
        accountService.accReceivable("10112024-0312-0000-0000-00000fd3a80b","t_psi_outbound");
        accountService.accPayable("10112024-0308-0000-0000-00000d06fd8f","t_psi_inbound");
    }

    @org.junit.Test
    public void reverse() {
        accountService.reverseReceivable("10112024-0312-0000-0000-00000fd3a80b","t_psi_outbound");
        accountService.reversePayable("10112024-0308-0000-0000-00000d06fd8f","t_psi_inbound");
    }
}
